Create artifact file in the file storage
POST /api/v1/artifacts. Storage API reference.
Create artifact file in the file storage
Authentication · API availability · Download OpenAPI
A successful response.Bad Request. The API gateway did not process the request because of missing parameter or invalid value of parameters.Unauthorized. The API gateway did not process the request because it lacks valid authentication credentials for the target resource. The request header has either no authorization details or an authorization that has been refused.Forbidden. The API gateway did not process the request because the requestor does not have edge-node level access permission for the operation or does not have access scope to the project.Internal Server Error. The API gateway experienced an unexpected condition. Specific error condition is indicated in error codes.Gateway Timeout. The API gateway did not receive a timely response from an upstream microservice it needed to communicate with in order to complete the request.An unexpected error response.
Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Body
application/json
ArtifactKey idenfies the artifact by artifactId
User defined name of the artifact, unique across the enterprise. Once object is created, name can’t be changed
Required string length:
3 - 256Pattern:
[a-zA-Z0-9][a-zA-Z0-9_.-]+Response
A successful response.
ArtifactKey idenfies the artifact by artifactId
system generated unique id for an artifact
Pattern:
[a-zA-Z0-9][a-zA-Z0-9_.-]+aUser defined name of the artifact, unique across the enterprise. Once object is created, name can’t be changed
Required string length:
3 - 256Pattern:
[a-zA-Z0-9][a-zA-Z0-9_.-]+describes the status of the operation
generated signed url for an artifact
TTL for the URL